/*
* IBM Confidential OCO Source Material
* 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2007
* The source code for this program is not published or otherwise divested
* of its trade secrets, irrespective of what has been deposited with the
* U.S. Copyright Office.
*
* $HeadURL$
* $Id$
*
* Change Activity:
*
* Reason       Version   Date         Userid    Change Description
* ------------ --------- ------------ --------- ---------------------------------------
* b9388        6.1       10/17/2007   vandersn  file creation
*
*
*/

package com.ibm.websphere.objectgrid;

/**
 * This exception is thrown to indicate a problem with the deployment policy.
 *
 * @since WAS XD 6.1 FIX3
 */
public class DeploymentPolicyException extends ObjectGridException {

    private static final long serialVersionUID = 9149851721375356651L;

    /**
     * Constructs a new DeploymentPolicyException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public DeploymentPolicyException() {
        super();
    }

    /**
     * Constructs a new DeploymentPolicyException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public DeploymentPolicyException(String message) {
        super(message);
    }

    /**
     * Constructs a new DeploymentPolicyException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for DeploymentPolicyException that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public DeploymentPolicyException(Throwable cause) {
        super(cause);
    }

   /**
     * Constructs a new DeploymentPolicyException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this DeploymentPolicyException detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public DeploymentPolicyException(String message, Throwable cause) {
        super(message, cause);
    }

}
