// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.5 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/LockInternalFailureException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:21:22
//
// Module  :  LockInternalFailureException.java
//
// Source File Description:
//
// See javadoc for this class.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M1_B.1  WASX.XD   02/23/2005   neyema    new code drop
// 283173       WASX.XD   06/12/2005   kjlaw     get/setLockRequestQueueDetails methods.
// ------------ --------- ------------ --------- -----------------------------------------

package com.ibm.websphere.objectgrid;

/**
 * This exception is used by the lock manager to indicate it detected some internal
 * programming error while processing a lock or unlock request.
 *
 * @since WAS XD 6.0, XC10
 */
public class LockInternalFailureException extends LockTimeoutException
{
    /**
     * The <code>serialVersionUID</code> for this class.
     */
    static final long serialVersionUID = -4812589177089114928L;

    /**
     * Constructs a new LockInternalFailureException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public LockInternalFailureException() {
        super();
    }

    /**
     * Constructs a new LockInternalFailureException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public LockInternalFailureException(String message) {
        super(message);
    }

    /**
     * Constructs a new LockInternalFailureException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this LockInternalFailureException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public LockInternalFailureException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new LockInternalFailureException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for LockInternalFailureExceptions that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public LockInternalFailureException(Throwable cause) {
        super(cause);
    }
}
