// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/ReplicationVotedToRollbackTransactionException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:23:45
//
// Module  :  ReplicationVotedToRollbackTransactionException.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD601_M3_B.x WASX.XD   Dec 02, 2005 bnewport  New code drop
// ------------ --------- ------------ --------- -----------------------------------------

package com.ibm.websphere.objectgrid;

import com.ibm.websphere.objectgrid.plugins.TransactionCallbackException;

/**
 * This exception is thrown when a transaction was rolled back because some/all of the replicas
 * failed to apply the transaction when in synchronous replication mode.
 *
 * @since WAS XD 6.0.1, XC10
 */
public class ReplicationVotedToRollbackTransactionException extends TransactionCallbackException
{
    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = -7316153923774644644L;

    /**
     * Constructs a new ReplicationVotedToRollbackTransactionException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public ReplicationVotedToRollbackTransactionException() {
        super();
    }

    /**
     * Constructs a new ReplicationVotedToRollbackTransactionException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public ReplicationVotedToRollbackTransactionException(String message) {
        super(message);
    }

    /**
     * Constructs a new ReplicationVotedToRollbackTransactionException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this ReplicationVotedToRollbackTransactionException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public ReplicationVotedToRollbackTransactionException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new ReplicationVotedToRollbackTransactionException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for ReplicationVotedToRollbackTransactionExceptions that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public ReplicationVotedToRollbackTransactionException(Throwable cause) {
        super(cause);
    }
}
