// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006,2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  Index.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b995         6.1       05/22/2006   cdjohnson New part.
// b1591        6.1       06/27/2006   cdjohnson M4 feature additions
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.em.annotations;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Identifies an entity attribute as indexed.  The ObjectGrid will
 * create an index if necessary for the attribute.<p>
 *
 * To create a composite index that has more than one attribute, use the {@link CompositeIndexes}
 * annotation.
 *
 * @since WAS XD 6.1
 */
@Target( { METHOD, FIELD })
@Retention(RUNTIME)
public @interface Index {

    /**
     * The name of the index use for this attribute.
     * If the index does not exist, then one will be created.  If the
     * name is not specified, a name will be generated automatically.
     * @return the name of the index
     */
    public String name() default "";

}
