// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  BeanFactory.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b9449        XD61      08/28/2007   bnewport  new part
// b10090       XD 6.1    10/10/2007   cdjohnson Fix javadoc
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins;

/**
 * Implement this interface to allow bean factories like Spring or Google guice to be integrated.
 * This allows ObjectGrid to delegate to an external Bean Factory to instantiate beans needed by ObjectGrid.
 *
 * @since WAS XD 6.1 FIX3, XC10
 */
public interface BeanFactory {
	/**
	 * This returns an instance of the bean with the specified name.
	 * @param name The name of the bean instance to return.
	 * @return the bean instance.
	 */
	Object getBean(String name);
}
