package com.ibm.websphere.objectgrid.plugins;

import com.ibm.websphere.objectgrid.ObjectGridRuntimeException;

/**
 * Thrown when there is a fatal problem invoking a {@link BackingMapLifecycleListener} or {@link ObjectGridLifecycleListener}.
 * Such exceptions are thrown when you need the caller to react to the exception.
 * @since 7.1.1
 */
public class LifecycleFailedException extends ObjectGridRuntimeException {

	private static final long serialVersionUID = 1L;

    /**
     * Constructs a new LifecycleFailedException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
	public LifecycleFailedException() {
		super();
	}

    /**
     * Constructs a new LifecycleFailedException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this LifecycleFailedException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
	public LifecycleFailedException(String message, Throwable cause) {
		super(message, cause);
	}

    /**
     * Constructs a new LifecycleFailedException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
	public LifecycleFailedException(String message) {
		super(message);
	}

    /**
     * Constructs a new LifecycleFailedException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for LifecycleFailedExceptions that are little more
     * than wrappers for other Throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
	public LifecycleFailedException(Throwable cause) {
		super(cause);
	}

}
