// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/plugins/RollbackEvictor.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:23:27
//
// Module  :  RollbackEvictor.java
//
// Source File Description: 
//
//    See javadoc for this interface.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// 294637.1     WASX.XD   Aug 4, 2005  kjlaw     new code drop 
// ------------ --------- ------------ --------- -----------------------------------------

package com.ibm.websphere.objectgrid.plugins;

/**
 * This interface is optionally implemented by an Evictor plugin.
 * By implementing this interface, an Evictor can be invoked not
 * only when a transaction commits, but when it rolls back as well.  
 * The intent is this interface is that only a class that implements
 * the Evictor interface would optionally implement this interface.  
 * 
 * @since WAS XD 6.0.1
 * 
 * @see Evictor
 */
public interface RollbackEvictor 
{
    /**
     * Called after a transaction rollback to allow an evictor to track object 
     * usage in a backing map even when rollback occurs instead of commit.
     * Since the transaction is rolling back, the Evictor must be aware that it 
     * cannot depend on the LogElement type to infer the existence or 
     * non-existence of a map entry.  See <code>Evictor.apply(LogSequence)</code> 
     * for other considerations when implementing this method.  Many of the 
     * considerations with the <code>Evictor.apply</code> method also apply to 
     * this method. 
     * 
     * @param sequence LogSequence of changes to the map
     * 
     * @see Evictor#apply(LogSequence)
     */
    void rollingBack( LogSequence sequence ); 
}
