// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  MixedTransportException.java
//
// Source File Description:
//
//    Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// d10915       8.6       08/23/2012   cheng1    Exception for MapGlobalIndex operation

package com.ibm.websphere.objectgrid.plugins.index;

import com.ibm.websphere.objectgrid.ObjectGridRuntimeException;

/**
 * Used when global index operation run into error.
 * 
 * @author cheng1
 *
 */

public class GlobalIndexException extends ObjectGridRuntimeException {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6403928186611432699L;

	/**
     * Constructs a new GlobalIndexException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public GlobalIndexException() {
        super();
    }
    
    /**
     * Constructs a new GlobalIndexException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public GlobalIndexException(String message) {
        super(message);
    }
    
    /**
     * Constructs a new GlobalIndexException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for GlobalIndexException that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public GlobalIndexException(Throwable cause) {
        super(cause);
    }

}
