// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  DataObjectKeyFactory.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.dataobject;


/**
 * A factory for creating a key wrapper.  Key wrappers are used for data objects
 * that have multiple forms.  For example, a POJO form and a serialized form.
 * @since 7.1.1
 */
public interface DataObjectKeyFactory {
    /**
     * Create a new SerailizedKey wrapper for the key data
     * @param data the serialized form of the key.
     * @return the key wrapper.
     */
    public SerializedKey createKey(byte data[]);
}