// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/security/plugins/CannotGenerateCredentialException.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:24:17
//
// Module  :  CannotGenerateCredentialException.java
//
// Source File Description:
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD601_M3_Bx  WASX.XD   11/15/2005   jitang    ObjectGrid security support
//
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.security.plugins;

import com.ibm.websphere.objectgrid.security.ObjectGridSecurityException;

/**
 * This exception indicates a credential cannot be generated.
 *
 * @since WAS XD 6.0.1, XC10
 *
 * @see CredentialGenerator#getCredential()
 */
public class CannotGenerateCredentialException extends ObjectGridSecurityException {

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private final static long serialVersionUID = -7602149885988047878L;

    /**
     * Constructs a new CannotGenerateCredentialException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.
     *
     * @see #initCause(Throwable)
     */
    public CannotGenerateCredentialException() {
        super();
    }

    /**
     * Constructs a new CannotGenerateCredentialException with the specified detail message. The
     * cause is not initialized, and may subsequently be initialized by a call to
     * the <code>initCause</code> method.
     *
     * @param message
     *           the detail message. The detail message is saved for later
     *           retrieval by the <code>getMessage</code> method.
     *
     * @see #initCause(Throwable)
     * @see #getMessage()
     */
    public CannotGenerateCredentialException(String message) {
        super(message);
    }

    /**
     * Constructs a new CannotGenerateCredentialException with the specified detail message and
     * cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this CannotGenerateCredentialException's detail
     * message.
     *
     * @param message
     *           the detail message (which is saved for later retrieval by the
     *           <code>getMessage</code> method).
     * @param cause
     *           the cause (which is saved for later retrieval by the
     *           <code>getCause</code> method). (A<code>null</code> value is
     *           permitted, and indicates that the cause is nonexistent or
     *           unknown).
     *
     * @see #getCause()
     * @see #getMessage()
     */
    public CannotGenerateCredentialException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new CannotGenerateCredentialException with a specified cause.
     * The cause and a detail message of <code>(cause==null ? null : cause.toString())</code>
     * is used (which typically contains the class and detail message of <code>cause</code>).
     * This constructor is useful for CannotGenerateCredentialExceptions that are little more
     * than wrappers for other throwables.
     *
     * @param cause is the exception that caused this exception to be thrown,
     *        which is saved for later retrieval by the <code>getCause()</code> method.
     *        A <code>null</code> value is permitted and indicates that the cause
     *        is nonexistent or is unknown.
     *
     * @see #getCause()
     */
    public CannotGenerateCredentialException(Throwable cause) {
        super(cause);
    }
}
