// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
// 
// 1.4 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/security/plugins/SubjectValidation.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:24:56
//
// Module  :  SubjectValidation.java
//
// Source File Description: 
//
// Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M3_B.13 WASX.XD   03/21/2005   jitang    ObjectGrid - JAAS / Security - Drop 1 - Basic Support
//
// ------------ ---------- ------------ -------------------------------------------------
package com.ibm.websphere.objectgrid.security.plugins;

import javax.security.auth.Subject;

import com.ibm.websphere.objectgrid.ObjectGrid;

/**
 * <p>This plugin can be used to validate that a <code>Subject</code> 
 * passed to the ObjectGrid is a valid <code>Subject</code> which has not been 
 * tampered with.</p>
 * 
 * <p>An implementation of this plugin will need support from the Subject
 * object creator, since only the creator knows whether the Subject object
 * has been tampered with or not. However, a subject creator may 
 * not know whether the Subject has been tamperted with or not. In this 
 * case, this plug-in should not be used.</p> 
 * 
 * <p>This plugin can only be used in a secure domain, such as in a 
 * application server. Do not put this plugin on the client side, it will 
 * be ignored.</p>  
 * 
 * @since WAS XD 6.0
 * 
 * @see ObjectGrid#getSession(Subject)
 * @see ObjectGrid#setSubjectValidation(SubjectValidation)
 */
public interface SubjectValidation {

    /**
     * Validates the Subject has not been tampered with.
     * 
     * @param subject a Subject to be validated
     * 
     * @return the validated Subject object
     * 
     * @throws InvalidSubjectException if the subject is invalid
     */
    Subject validateSubject(Subject subject) throws InvalidSubjectException;
}
