// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.2 XD/ws/code/objectgrid.impl/src/com/ibm/websphere/objectgrid/security/plugins/builtins/SimpleUserPrincipal.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 19:06:17
//
// Module  :  SimpleUserPrincipal.java
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD601_M2_Bx  WASX.XD   10/03/2005   jitang    ObjectGrid security support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.security.plugins.builtins;

import java.security.Principal;

import javax.security.auth.Subject;

/**
 * This class implements the <code>Principal</code> interface
 * and represents a simple user.
 *
 * @since WAS XD 6.0.1  
 * 
 * @see Principal
 * @see Subject
 */
public class SimpleUserPrincipal implements Principal, java.io.Serializable {

    private static final long serialVersionUID = -1428372783305780258L;

    /**
     * @serial
     */
    private String name;

    /**
     * Creates a SimpleUserPrincipal with a user name.
     *
     * <p>
     *
     * @param _name the user name for this user.
     *
     * @exception IllegalArgumentException if the <code>name</code>
     *          is <code>null</code>.
     */
    public SimpleUserPrincipal(String _name) {
        if (_name == null)
            throw new IllegalArgumentException("illegal null input");

        this.name = _name;
    }

    /**
     * Gets the user name for this <code>SimpleUserPrincipal</code>.
     *
     * @return the user name for this <code>SimpleUserPrincipal</code>
     */
    public String getName() {
        return name;
    }

    /**
     * Returns a string representation of this <code>SimpleUserPrincipal</code>.
     *
     * @return a string representation of this <code>SimpleUserPrincipal</code>.
     */
    public String toString() {
        return ("SimpleUserPrincipal:  " + name);
    }

    /**
     * Compares the specified Object with this <code>SimpleUserPrincipal</code>
     * for equality.  
     * <p>
     * Returns <code>true</code> if the given object is also a
     * <code>SimpleUserPrincipal</code> and the two SimpleUserPrincipals
     * have the same user names.
     *
     * @param o Object to be compared for equality with this
     *      <code>SimpleUserPrincipal</code>.
     *
     * @return <code>true</code> if the specified Object is equal to this
     *      <code>SimpleUserPrincipal</code>.
     */
    public boolean equals(Object o) {
        if (o == null)
            return false;

        if (this == o)
            return true;

        if (!(o instanceof SimpleUserPrincipal))
            return false;
        SimpleUserPrincipal that = (SimpleUserPrincipal) o;

        if (this.getName().equals(that.getName()))
            return true;
        return false;
    }

    /**
     * Returns a hash code for this <code>SimpleUserPrincipal</code>.
     *
     * @return a hash code for this <code>SimpleUserPrincipal</code>.
     */
    public int hashCode() {
        return name.hashCode();
    }
}