// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2010
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.3 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/stats/PercentageStatistic.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 17:25:14
//
// Module  :  PercentageStatistic.java
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// XD60_M3_B.9  WASX.XD   05/06/2005   jitang    ObjectGrid - Metric enablement - Drop 1
// b18300       XS 7.1    02/11/2010   jaredp    Expose getBase and getValue methods
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.stats;

/**
 * This interface represents a percentage Statistic.
 * 
 * @since WAS XD 6.0.1
 */
public interface PercentageStatistic extends Statistic {

    /**
     * Gets the percentage value of this statistic where
     * getPercentage = getValue / getBase * 100
     * 
     * @return the percentage value
     */
    double getPercentage();
    
    /**
     * Gets the base value of this statistic where
     * getPercentage = getValue / getBase * 100
     * 
     * @return the base value
     * @since 7.1
     */
    double getBase();
    
    /**
     * Gets the numeric value of this statistic where
     * getPercentage = getValue / getBase * 100
     * 
     * @return the numeric value
     * @since 7.1
     */
    double getValue();

    /**
     * Returns a new copy of this statistic
     * 
     * @return a copy of this object
     */
    public PercentageStatistic copy();
}