// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005,2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// 1.1 XD/ws/code/objectgrid/src/com/ibm/websphere/objectgrid/stats/StatsGroup.java, WAS.objectgrid, WASX.XD, b0614.107 2/14/06 18:08:11
//
// Module  :  StatsGroup.java
//
// Source File Description: 
//
//  Need a file description.
//
// Change Activity:
//
// Reason       Version    Date         Userid    Change Description
// ------------ ---------- ------------ --------- -----------------------------------------
// XD60_M3_B.9  WASX.XD   04/16/2005   jitang    ObjectGrid - Metric enablement - Drop 1
// d346485      WXD601.XD 02/10/2006   jitang    House cleaning for stats
// ------------ ---------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.stats;


/**
 * StatsGroup is a parent of a collection of StatsFact instances.
 * A StatsGroup provide an aggregated view of all the children
 * that are part of the group by aggregating the corresponding statistics 
 * in the individual StatsFact instances. 
 * <p>
 * A StatsGroup could be a parent of a collection of StatsGroup 
 * instances
 * 
 * @since WAS XD 6.0.1
 */
public interface StatsGroup extends StatsFact {

    /**
     * Adds a child to this group.
     *  
     * @param child a child StatsFact
     */
    void addChild(StatsFact child);
}