// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2007
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  FieldAccessEntityNotInstrumentedException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b1591        6.1       07/24/2006   cdjohnson M4 feature additions
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector;

/**
 * This exception will occur when the Java instrumentation is enabled, but the field-access Entity class is not included in the instrumentation domain. 
 * This exception will also occur when the field-access Entity class is included in the instrumentation domain, but the class is not in the field-access Entity domain. 
 * The field-access Entity domain is an optional configuration. When specified, all field-access Entity classes must be included in the field-access Entity domain.
 * 
 * @since WAS XD 6.1
 */
public class FieldAccessEntityNotInstrumentedException extends ProjectorException {

    private static final long serialVersionUID = 3466655524895170335L;

    /**
     * @see ProjectorException#ProjectorException()
     */
    public FieldAccessEntityNotInstrumentedException() {
        super();
    }

    /**
     * @see ProjectorException#ProjectorException(String)
     */
    public FieldAccessEntityNotInstrumentedException(String message) {
        super(message);
    }

    /**
     * @see ProjectorException#ProjectorException(Throwable)
     */
    public FieldAccessEntityNotInstrumentedException(Throwable cause) {
        super(cause);
    }

    /**
     * @see ProjectorException#ProjectorException(String, Throwable)
     */
    public FieldAccessEntityNotInstrumentedException(String message, Throwable cause) {
        super(message, cause);
    }
}
