// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006,2008
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  CascadeType.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b995         6.1       05/22/2006   cdjohnson New part.
// b2404        XD 6.1    09/20/2006   cdjohnson Feature updates for M6
// b11518       6.1.0.3   04/08/2008   cdjohnson add invalidate support
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

/**
 * Identifies the various relationship cascade options that can
 * be used with the entity association annotations.
 *
 * @since WAS XD 6.1
 */
public enum CascadeType {
    /**
     * All persistence operations are cascaded to association targets.
     */
    ALL,

    /**
     * Persist operations are cascaded to association targets.
     */
    PERSIST,

    /**
     * Merge operations are cascaded to association targets.
     */
    MERGE,

    /**
     * Remove operations are cascaded to association targets.
     */
    REMOVE,

    /**
     * Refresh operations are cascaded to association targets.
     */
    REFRESH,

    /**
     * Invalidate operations are cascaded to association targets.
     * @since WAS XD 6.1.0.3
     */
    INVALIDATE

}
