// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2006
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  FetchType.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b2405        XD 6.1    11/08/2006   cdjohnson Feature updates for M7
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.projector.annotations;

/**
 * Defines strategies for fetching data from the TupleStore.<p>
 * 
 * The <tt>EAGER</tt> strategy instructs the projector to eagerly
 * fetch the data.  The <tt>LAZY</tt> strategy is a <i>hint</i> to the 
 * projector to lazily fetch the data when it is first accessed.<p>
 *
 * @since WAS XD 6.1
 */
public enum FetchType {
    /**
     * Fetch the data lazily.
     */
    LAZY,

    /**
     * Fetch the data eagerly.
     */
    EAGER
}
